package com.jiayue.ipfcst.common.core.integration.correct.dq;

import java.util.List;
import java.util.Map;

/**
 * 一体化短期修正接口
 *
 * @author yh
 * @version 3.0
 * @since 2020/4/13 20:00
 */
public interface IForePowerShortTermCorrect {

    /**
     * 上报文件生成
     */
    public String pushData(String el, Integer elType,List forcast, List nwp, Long starTime, Long endTime);
    /**
     * 获取上报文件类型
     */
    public Map getCorrectData(Integer elType);


    public String beanType();
}
